FROM tomcat:8.5-jdk8-temurin
RUN rm -rf /usr/local/tomcat/webapps/* \
 && mkdir -p /app/config /app/logs \
 && apt-get update && apt-get install -y curl && rm -rf /var/lib/apt/lists/*
COPY backend/xiaoqu-intellectual-web/target/ROOT.war /usr/local/tomcat/webapps/
ENV CATALINA_OPTS="-Dspring.config.additional-location=/app/config/ -Dspring.profiles.active=test,docker"
EXPOSE 8080
